#
# spec file for package gnucash (Version 1.8.7)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel audiofile bonobo bonobo-devel control-center control-center-devel db-devel esound esound-devel freetype2 freetype2-devel gal gal-devel gconf gdk-pixbuf gdk-pixbuf-devel glade glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel gtkhtml gtkhtml-devel guile gxmhtml imlib imlib-devel indent intltool libchipcard libchipcard-devel libghttp libghttp-devel libglade libglade-devel libgpp libjpeg libofx libpng-devel-packages libtiff libungif libunicode libxml libxml-devel libxml2 libxslt oaf oaf-devel openhbci openhbci-devel openjade opensp opensp-devel openssl openssl-devel orbit orbit-devel pkgconfig popt python python-devel python-gtk scrollkeeper sgml-skel slib swig update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel audiofile autoconf automake binutils bonobo bonobo-devel control-center control-center-devel cracklib db-devel esound esound-devel fontconfig fontconfig-devel freetype2 freetype2-devel gal gal-devel gcc gcc-c++ gconf gdbm gdk-pixbuf gdk-pixbuf-devel gettext glade glib glib-devel gnome-filesystem gnome-libs gnome-libs-devel gnome-print gnome-print-devel gtk gtk-devel gtkhtml gtkhtml-devel guile gxmhtml imlib imlib-devel indent intltool libchipcard libchipcard-devel libghttp libghttp-devel libglade libglade-devel libjpeg libofx libpng libpng-devel libstdc++-devel libtiff libtool libungif libunicode libxml libxml-devel libxml2 libxslt oaf oaf-devel openhbci openhbci-devel openjade opensp opensp-devel openssl-devel orbit orbit-devel perl pkgconfig popt-devel python python-devel python-gtk rpm scrollkeeper sgml-skel slib swig update-desktop-files

Name:         gnucash
%define prefix	/opt/gnome
%define subprefix /usr
%define gwrapversion 1.3.4
%define docversion 1.8.3
%define guppiversion 0.40.3
%define sysconfdir /etc%{prefix}
License:      LGPL
Group:        Productivity/Office/Finance
Autoreqprov:  on
Requires:     guile python slib
Summary:      A Personal Finance Manager
Version:      1.8.7
Release:      0
Source0:      http://www.linas.org/pub/gnucash/gnucash/sources/stable/gnucash-%{version}.tar.bz2
Source1:      http://www.linas.org/pub/gnucash/g-wrap/source/g-wrap-%{gwrapversion}.tar.bz2
Source2:      http://www.linas.org/pub/gnucash/gnucash/sources/stable/gnucash-docs-%{docversion}.tar.bz2
Source3:      ftp://ftp.gnome.org/pub/GNOME/stable/sources/Guppi/Guppi-%{guppiversion}.tar.bz2
Patch:        gnucash-%{version}.dif
Patch1:       g-wrap-%{gwrapversion}.dif
Patch2:       guppi-font.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.gnome.org
PreReq:       %install_info_prereq

%description
GnuCash is a personal finance manager.	A check-book-like register GUI
allows you to enter and track bank accounts, stocks, income, and even
currency exchanges.  The interface is designed to be easy to use, but
is backed with double-entry accounting principles to ensure balanced
books.



Authors:
--------
    Linas Vepstas <linas@linas.org>
    Robin Clark <rclark@cs.hmc.edu>
    gnucash-devel@gnucash.org

%prep
%setup -q -n gnucash-%{version} -b 1 -b 2 -b 3
%patch
cd ../g-wrap-*
%patch1
cd ../Guppi*
%patch2 -p1

%build
### build Guppi
cd ../Guppi-*
%{?suse_update_config:%{suse_update_config}}
libtoolize --copy --force
xml-i18n-toolize --copy --force
aclocal -I macros
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
   ./configure --prefix=%{prefix} \
	--libdir=%prefix/%_lib \
	--sysconfdir=%sysconfdir \
	--localstatedir=%{_localstatedir} \
	--with-guile --enable-python \
	--disable-guile-readline
make -s 
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applications/
cp -af $RPM_BUILD_ROOT%{prefix}/* %{prefix}
### build g-wrap
cd ../g-wrap-*
%{suse_update_config -f}
export GUILE_WARN_DEPRECATED=no
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%subprefix \
	--with-libguppi-prefix=%{prefix} \
	--libdir=%subprefix/%_lib \
	--sysconfdir=%sysconfdir \
	--infodir=%{_infodir}
make
# make check
# make -C g-wrapped clean all
export LIBRARY_PATH=/usr/lib
make DESTDIR=$RPM_BUILD_ROOT install
cp -af $RPM_BUILD_ROOT%{subprefix}/* %{subprefix}
ldconfig
### build gnucash
cd ../gnucash-*
autoreconf -I /opt/gnome/share/aclocal --force --install
test ! -f po/Makevars.template || mv po/Makevars.template po/Makevars
CFLAGS="$RPM_OPT_FLAGS -I%{prefix}/include/gnome-1.0/libguppi" \
./configure --prefix=%prefix \
	--libdir=%prefix/%_lib \
	--libexecdir=%prefix/%_lib \
	--sysconfdir=%sysconfdir \
	--enable-guppi \
	--enable-hbci \
	--enable-ofx \
	--enable-error-on-warning=no
make
### build documentation 
cd ../gnucash-docs*
CFLAGS="$RPM_OPT_FLAGS -I%{prefix}/include/gnome-1.0/libguppi" \
./configure --prefix=%prefix \
        --libdir=%prefix/%_lib \
        --libexecdir=%prefix/%_lib \
        --sysconfdir=%sysconfdir \
	--enable-guppi \
        --enable-hbci \
        --enable-ofx \
        --enable-error-on-warning=no
make 
make DESTDIR=$RPM_BUILD_ROOT install

%install
make -s DESTDIR=$RPM_BUILD_ROOT install
# rm $RPM_BUILD_ROOT%{prefix}/bin/g-wrap-config
gzip -9nf $RPM_BUILD_ROOT%{prefix}/info/gnucash*.info*
# cleanup
rm -f $RPM_BUILD_ROOT/opt/gnome/info/dir
%suse_update_desktop_file gnucash Office Finance

%clean
rm -rf $RPM_BUILD_ROOT

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/g-wrap.info.gz
%install_info_delete --info-dir=%{prefix}/info %{prefix}/info/gnucash-design.info.gz

%post
%install_info --info-dir=%{_infodir} --entry="* g-wrap: (g-wrap).       Wrapper Generator." %{_infodir}/g-wrap.info.gz
%install_info --info-dir=%{prefix}/info %{prefix}/info/gnucash-design.info.gz

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%doc %{prefix}/info/gnucash*
%dir %{sysconfdir}/gnucash
%{sysconfdir}/gnucash/config
%{prefix}/bin/*
%{prefix}/include/*
%{prefix}/%_lib/*
%{prefix}/man/man1/*
%{prefix}/share/gnome/apps/Applications/*desktop
%{prefix}/share/gnome/help/*
%dir %{prefix}/share/aclocal
%{prefix}/share/aclocal/*.m4
%{prefix}/share/gnucash
%{prefix}/share/guppi
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*
%{subprefix}/bin/g-wrap*
%{subprefix}/share/aclocal/g-wrap.m4
%{_infodir}/g-wrap*
%{subprefix}/include/g-wrap
%{subprefix}/%_lib/*
%{subprefix}/share/guile/*
%{prefix}/share/omf/gnucash-docs

%changelog -n gnucash
* Thu Oct 23 2003 - lmb@suse.de
- Update to gnucash 1.8.7 and gnucash-docs-1.8.3.
- Re-added Guppi and folded it into gnucash package so graphs work
  again. (#32135)
* Tue Sep 02 2003 - ro@suse.de
- remove Guppi from neededforbuild
  (dropped, since gnumeric(1) was dropped)
* Fri Aug 22 2003 - ke@suse.de
- Add sgml-skel to neededforbuild.
* Thu Aug 21 2003 - hhetter@suse.de
- integrate the documentation package (rel. 1.8.2)
* Wed Aug 20 2003 - ro@suse.de
- removed libgtop from neededforbuild
* Wed Aug 20 2003 - hhetter@suse.de
- updated to version 1.8.5
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Sun Jul 27 2003 - hhetter@suse.de
- don't run deprecated tests
* Tue Jul 15 2003 - hhetter@suse.de
- updated to version 1.8.4
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 20 2003 - ro@suse.de
- fix build with current gettext
* Thu Jun 05 2003 - ro@suse.de
- remove unpackaged files from buildroot
- add g-wrap includes to package
* Wed May 14 2003 - mcihar@suse.cz
- don't need umb-scheme
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Mar 28 2003 - sbrabec@suse.cz
- Typo fix (NBSP -> spaces).
* Fri Mar 28 2003 - sbrabec@suse.cz
- Added install_info.
- Compress info pages.
* Fri Feb 21 2003 - ro@suse.de
- added openhbci-devel to neededforbuild
* Tue Feb 18 2003 - ro@suse.de
- added libchipcard and devel to neededforbuild
* Fri Feb 07 2003 - hhetter@suse.de
- build with libofx support
* Thu Feb 06 2003 - ro@suse.de
- update to g-wrap-1.3.4 and gnucash-1.8.0
* Thu Jan 09 2003 - ro@suse.de
- add AM_GNU_GETTEXT_VERSION and make it build
- hack for gtkhtml-1.1 and recent guile
- more makefile hackery to work around cyclic library dependencies
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Sep 09 2002 - hhetter@suse.de
- fix guile version checking in srfi-8.scm for new guile 1.4.1
  ( Bug Id #19258)
* Thu Aug 29 2002 - hhetter@suse.de
- removed gnome-applets / gnome-core stuff from #neededforbuild
* Thu Jul 04 2002 - hhetter@suse.de
- updated to version 1.6.6
- use a stable g-wrap release (1.2.x)
* Wed May 22 2002 - meissner@suse.de
- %%_lib fixes.
* Thu Apr 04 2002 - schwab@suse.de
- Fix for new autotools.
* Sun Feb 17 2002 - ro@suse.de
- added missing g-wrap runtime lib to filelist (#13472)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 23 2002 - hhetter@suse.de
- added python, python-devel to #neededforbuild
* Wed Dec 19 2001 - hhetter@suse.de
- gnucash version update to 1.6.5
- g-wrap updated to version 1.3.1
- added LIBRARY_PATH for broken libtool
- removed no longer needed patch
- functionality test on i386 arch
- g-wrap version customized in specfile
- features for 1.6.5:
  * amazing new Euro-conversion druid!
  * massive translation update
  * minor application bugfixes
* Sun Dec 09 2001 - ro@suse.de
- added <slib> to neededforbuild
* Fri Dec 07 2001 - ro@suse.de
- changed neededforbuild <scheme> to <umb-scheme>
* Wed Dec 05 2001 - hhetter@suse.de
- prefix g-wrap to the original guile interpreter location
* Tue Nov 27 2001 - ro@suse.de
- back to g-wrap-1.1.10
* Wed Nov 21 2001 - ro@suse.de
- update to g-wrap-1.1.11
- added guppi-include path to cflags
  (gnome-config does not show this path)
* Wed Nov 21 2001 - ro@suse.de
- added freetype2 to neededforbuild
* Tue Oct 16 2001 - hhetter@suse.de
- updated to version 1.6.4:
  * fixes a bug which made it impossible to
  load 1.4.x-gnucash files
* Wed Sep 26 2001 - hhetter@suse.de
- updated to version 1.6.3:
  * new Polish translation
  * Danish and Spanish translation of new account files
  * updated Swedish, German, and Portuguese translations
  * child accounts can be reconciled with the parent
  * support for TrustNet online quotes
  * support for precious metal currencies
- functionality test on i386
* Sat Sep 15 2001 - schwab@suse.de
- Add Requires: python.
* Sat Sep 15 2001 - schwab@suse.de
- Fix missing declarations.
- Add %%suse_update_config.
* Wed Sep 12 2001 - hhetter@suse.de
- revert to g-wrap version 1.1.10, get gnucash
  to work with guile 1.4
- filelist review
- test on i386
* Fri Aug 17 2001 - egger@suse.de
- Added fix for hardcoded CFLAGS in g-wrap.
* Fri Aug 17 2001 - egger@suse.de
- Added fix for libtool bustage in g-wrap update to 1.1.11.
* Mon Aug 13 2001 - hhetter@suse.de
- update to 1.6.2
* Sun Jul 29 2001 - egger@suse.de
- Updated g-wrap to version 1.1.11.
* Wed Jul 25 2001 - sf@suse.de
- removed '-Werror' from Makefile.am in test/ to compile also
  with gcc > 2.95
* Thu Jul 19 2001 - hhetter@suse.de
- added #requires python phyton-gtk
* Sun Jul 08 2001 - egger@suse.de
- Updated to version 1.6.1.
- Added mising stuff to the filelist.
* Thu Jul 05 2001 - uli@suse.de
- added gal-devel to neededforbuild
* Thu Jun 21 2001 - ro@suse.de
- updated filelist
- cleaned specfile a bit
* Mon Jun 18 2001 - hhetter@suse.de
- gnucash : update to 1.6.0
- g-wrap : update to 1.1.10
- added additional requirements
- functionality test in current buildsystem
- filelist review
* Tue May 01 2001 - egger@suse.de
- Updated to version 1.4.12. Again just bugfixes.
* Mon Apr 02 2001 - egger@suse.de
- Updated to version 1.4.11. Pure bugfix release.
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel to neededforbuild
* Fri Mar 02 2001 - egger@suse.de
- Minor corrections to the specfile.
* Tue Feb 20 2001 - egger@suse.de
- removed imlib-config from neededforbuild.
- Updated gnucash to version 1.4.10.
- Updated g-wrap to version 1.4.12.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Thu Dec 21 2000 - egger@suse.de
- Updated gnucash to 1.4.9.
- Updated g-wrap to 0.9.8.
- Bugfix releases.
- Recompressed with bzip2.
* Sun Dec 10 2000 - schwab@suse.de
- Add %%suse_update_config.
* Mon Nov 06 2000 - randall@suse.de
-  Removed these two commands.  The guile package will preform these
  actions:
  ln -sf /usr/lib/scheme/slib /usr/share/guile/1.4/slib
  guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)"
* Thu Nov 02 2000 - randall@suse.de
- Changed to long file names, also for distro SuSE 7.1a
* Tue Oct 31 2000 - randall@suse.de
- Initial Release
